# Authentik README
## what
The Docker Compose and `.env` files that run Authentik

## where
```
/srv/authentik/docker-compose.yml
/srv/authentik/.env
```

## redacted values
For security, secrets have been redacted from these files. StarCat team members can find these values in [1Password](https://start.1password.com/open/i?a=B5NVCNGFJBCCLCDCN5FKFPGVBI&v=35hhast2kp5lgw3iud374426oa&i=wulgiodikbbu4x5rxvco4zren4&h=starcatsys.1password.com). Soon, these values will be autofilled from Vault when the container starts.

## making changes
If you make changes to `.env`, just pull the latest image and restart the service:

```
docker compose pull
docker compose up -d
```

## upgrading
To upgrade Authentik, download the latest `docker-compose.yml` file, (optionally) put our comments at the top of the file, pull the latest images, and restart the service:

```
wget -O docker-compose.yml https://goauthentik.io/docker-compose.yml
docker compose pull
docker compose up -d
```